OGRE-Next: Ogre::LodData Struct Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Classes | Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Ogre::LodData Struct Reference

`#include <OgreLodData.h>`

## Classes
struct | Edge
struct | IndexBufferInfo
union | IndexBufferPointer
struct | Triangle
struct | Vertex
struct | VertexEqual
struct | VertexHash

## Public Types
enum | { InvalidIndex = (unsigned)-1 }
typedef multimap< Real, VertexI >::type | CollapseCostHeap
typedef vector< IndexBufferInfo >::type | IndexBufferInfoList
typedef unsigned | TriangleI
typedef vector< Triangle >::type | TriangleList
typedef unordered_set< VertexI, VertexHash, VertexEqual >::type | UniqueVertexSet
typedef VectorSet< Edge, 8 > | VEdges
typedef unsigned | VertexI
typedef vector< Vertex >::type | VertexList
typedef VectorSet< TriangleI, 7 > | VTriangles

## Public Member Functions
| LodData ()
UniqueVertexSet::iterator | findUniqueVertexByPos (const Vector3 &pos)

## Static Public Member Functions
template<typename T, typename A>
static size_t | getVectorIDFromPointer (const std::vector< T, A > &vec, const T *pointer)

## Public Attributes
CollapseCostHeap | mCollapseCostHeap
| Makes possible to get the vertices with the smallest collapse cost.
IndexBufferInfoList | mIndexBufferInfoList
Real | mMeshBoundingSphereRadius
TriangleList | mTriangleList
UniqueVertexSet | mUniqueVertexSet
| Provides position based vertex lookup. Position is the real identifier of a vertex.
bool | mUseVertexNormals
VertexList | mVertexList

## Static Public Attributes
static const Real | NEVER_COLLAPSE_COST
static const Real | UNINITIALIZED_COLLAPSE_COST

## Member Typedef Documentation

## ◆ CollapseCostHeap

typedef multimap<Real,VertexI>::type Ogre::LodData::CollapseCostHeap

## ◆ IndexBufferInfoList

typedef vector<IndexBufferInfo>::type Ogre::LodData::IndexBufferInfoList

## ◆ TriangleI

typedef unsigned Ogre::LodData::TriangleI

## ◆ TriangleList

typedef vector<Triangle>::type Ogre::LodData::TriangleList

## ◆ UniqueVertexSet

typedef unordered_set<VertexI,VertexHash,VertexEqual>::type Ogre::LodData::UniqueVertexSet

## ◆ VEdges

typedef VectorSet<Edge, 8> Ogre::LodData::VEdges

## ◆ VertexI

typedef unsigned Ogre::LodData::VertexI

## ◆ VertexList

typedef vector<Vertex>::type Ogre::LodData::VertexList

## ◆ VTriangles

typedef VectorSet<TriangleI, 7> Ogre::LodData::VTriangles

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
InvalidIndex |

## Constructor & Destructor Documentation

## ◆ LodData()

Ogre::LodData::LodData | ( |  | ) |
| inline

References mMeshBoundingSphereRadius, mUniqueVertexSet, and mUseVertexNormals.

Referenced by Ogre::LodData::VertexEqual::VertexEqual(), and Ogre::LodData::VertexHash::VertexHash().

## Member Function Documentation

## ◆ findUniqueVertexByPos()

UniqueVertexSet::iterator Ogre::LodData::findUniqueVertexByPos | ( | const Vector3 & | pos | ) |
| inline

References mUniqueVertexSet, mVertexList, and Ogre::LodData::Vertex::position.

## ◆ getVectorIDFromPointer()

template<typename T, typename A>

static size_t Ogre::LodData::getVectorIDFromPointer | ( | const std::vector< T, A > & | vec,
|  | const T * | pointer )
| inlinestatic

References OgreAssert.

Referenced by Ogre::LodInputProviderBuffer::initData(), and Ogre::LodInputProviderMesh::initData().

## Member Data Documentation

## ◆ mCollapseCostHeap

CollapseCostHeap Ogre::LodData::mCollapseCostHeap

Makes possible to get the vertices with the smallest collapse cost.

## ◆ mIndexBufferInfoList

IndexBufferInfoList Ogre::LodData::mIndexBufferInfoList

## ◆ mMeshBoundingSphereRadius

Real Ogre::LodData::mMeshBoundingSphereRadius

Referenced by LodData().

## ◆ mTriangleList

TriangleList Ogre::LodData::mTriangleList

## ◆ mUniqueVertexSet

UniqueVertexSet Ogre::LodData::mUniqueVertexSet

Provides position based vertex lookup. Position is the real identifier of a vertex.

Referenced by LodData(), and findUniqueVertexByPos().

## ◆ mUseVertexNormals

bool Ogre::LodData::mUseVertexNormals

Referenced by LodData().

## ◆ mVertexList

VertexList Ogre::LodData::mVertexList

Referenced by findUniqueVertexByPos().

## ◆ NEVER_COLLAPSE_COST

const Real Ogre::LodData::NEVER_COLLAPSE_COST
| static

## ◆ UNINITIALIZED_COLLAPSE_COST

const Real Ogre::LodData::UNINITIALIZED_COLLAPSE_COST
| static

The documentation for this struct was generated from the following file:

- OgreLodData.h